reSIDfp::FilterModelConfig Class Reference

`#include <FilterModelConfig.h>`

## Public Member Functions

int | getVoiceScaleS14 () const
int | getVoiceDC () const
unsigned short ** | getGain ()
unsigned short ** | getSummer ()
unsigned short ** | getMixer ()
unsigned short * | getDAC (double adjustment) const
std::auto_ptr< Integrator > | buildIntegrator ()

## Static Public Member Functions

static FilterModelConfig * | getInstance ()

## Friends

class | std::auto_ptr< FilterModelConfig >

## Detailed Description

Calculate parameters for 6581 filter emulation.

## Member Function Documentation

std::auto_ptr< Integrator > reSIDfp::FilterModelConfig::buildIntegrator | ( |  | ) |

Construct an integrator solver.

Returns
  the integrator

unsigned short * reSIDfp::FilterModelConfig::getDAC | ( | double | adjustment | ) | const

Construct an 11 bit cutoff frequency DAC output voltage table. Ownership is transferred to the requester which becomes responsible of freeing the object when done.

Parameters

  adjustment |

Returns
  the DAC table

int reSIDfp::FilterModelConfig::getVoiceDC | ( |  | ) | const

inline

The "zero" output level of the voices.

int reSIDfp::FilterModelConfig::getVoiceScaleS14 | ( |  | ) | const

inline

The digital range of one voice is 20 bits; create a scaling term for multiplication which fits in 11 bits.

The documentation for this class was generated from the following files:

- FilterModelConfig.h
- FilterModelConfig.cpp